Compatibility and Requirements

Listed below are the minimal requirements to run CyFIR and each of its components. Please note that a larger numbers of Agents may require more than one Server and Proxy, and that the minimum requirements outlined below are not already consumed in full by other applications in use on the machine.

 

CyFIR Proxy & Web Server

  • Two 8-Core Xeon 2.1 GHz processors
  • 128 GiB RAM
  • Two 10 Gbit/s NIC cards
  • MS SQL Server 2016, 2014, 2012. Using MS SQL Express is not recommended. 
  • Raid 5, 16 TiB array for MS SQL Server and acquisitions (24 TiB before raid)
  • Raid 240 GiB array for main OS boot and software (480 GiB before raid)

    Operating System

    Versions Supported

    Windows (x64)

    Windows 10
    Windows 8.1 and 8
    Windows 7
    Windows Vista
    Windows Server 2016
    Windows Server 2012 R2, 2012
    Windows Server 2008 R2, 2008

     

CyFIR Server

  • Two 8-Core Xeon 2.1 GHz processors
  • 128 GiB RAM
  • Two 10 Gbit/s NIC cards
  • MS SQL Server 2016, 2014, 2012. Using MS SQL Express is not recommended.
  • Raid 5, 16 TiB array for MS SQL Server and acquisitions (24 TiB before raid)
  • Raid 240 GiB array for main OS boot software (480 GiB before raid)

    Operating System

    Versions Supported

    Windows (x64)

    Windows Server 2016
    Windows Server 2012 R2, 2012
    Windows Server 2008 R2, 2008

CyFIR Investigator

  • Two 8-Core Xeon 2.1 GHz processors
  • 128 GiB RAM
  • Two 10 Gbit/s NIC cards
  • Raid 240 GiB array for main OS boot and software (480 GiB before raid)
  • .NET Framework 4.0

Operating System

Versions Supported

Windows (x64)

Windows 10
Windows 8.1 and 8
Windows 7
Windows Server 2016
Windows Server 2012 R2, 2012
Windows Server 2008 R2, 2008

 

CyFIR Agents

  • 2.40 GHz or higher CPU
  • 2 GiB RAM or more
  • Minimum 500 MiB of free hard disk space
  • 100 Mbit/s network adapter
  • Operating Systems supported (both x32 and x64 platforms)

Operating System

Versions Supported

Windows (x32 and x64) Windows 10 Enterprise 2016 LTSB - Version 1607
Windows Embedded 8.1 Industry Enterprise
Windows 7 SP1
Windows XP (SP 3, 2)
Windows Server 2016
Windows Server 2012 R2, 2012
Windows Server 2008 R2 SP1
Windows Embedded POSReady 2009 - Version 5.1
Windows Embedded POSReady 7 - Version 6.1

MacOS/OS X

macOS 10.14
macOS 10.13
macOS 10.12
OSX 10.11
OSX 10.10
OSX 10.9

Ubuntu (x32 and x64)

Ubuntu 18.10
Ubuntu 18.04.1 LTS
Ubuntu 18.04.2 LTS
Ubuntu 17.10
Ubuntu 17.10.1
Ubuntu 16.04.6 LTS
Ubuntu 16.04.5 LTS
Ubuntu 16.04.4 LTS
Ubuntu 16.04.1 LTS
Ubuntu 14.04.6 LTS
Ubuntu 14.04.5 LTS
Ubuntu 14.04.1 LTS
Ubuntu 14.04 LTS

Desktop environments supported: X server (Unity, Xfce, KDE 4)

CentOS

CentOS 7.0 - 7.0 (x64)
CentOS 6.10 - 6.0 (x32 and x64)

Desktop environments supported: X Server (GNOME 2, GNOME 3, KDE 4)

Debian (x32 and x64)

Debian 9.8 - 9.0
Debian 8.11 - 8.0
Debian 7.11 - 7.0

Desktop environments supported: X Server (GNOME 2, GNOME 3, KDE 4) Wayland (GNOME 3)

Mint (x32 and x64)

Mint 19.1 - 19.0
Mint 18.3 - 18.0

Desktop environments supported: X Server (MATE, Cinnamon, KDE 4)

Red Hat

RHEL Server 7.6 - 7.0
RHEL Server 6.10 - 6.0